# Draw
TKTopTest
BRepTest

# BRepTest Class Reference

Provides commands to test BRep.
.

`#include <BRepTest.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | AllCommands (Draw_Interpretor &DI)
| Defines all the topology commands. .
static Standard_EXPORT void | BasicCommands (Draw_Interpretor &DI)
| Defines the basic commands. .
static Standard_EXPORT void | CurveCommands (Draw_Interpretor &DI)
| Defines the commands to build edges and wires. .
static Standard_EXPORT void | Fillet2DCommands (Draw_Interpretor &DI)
| Defines the commands to perform add fillets on wires and edges. .
static Standard_EXPORT void | SurfaceCommands (Draw_Interpretor &DI)
| Defines the commands to build faces and shells. .
static Standard_EXPORT void | PrimitiveCommands (Draw_Interpretor &DI)
| Defines the commands to build primitives. .
static Standard_EXPORT void | FillingCommands (Draw_Interpretor &DI)
| Defines the commands to build primitives. .
static Standard_EXPORT void | SweepCommands (Draw_Interpretor &DI)
| Defines the commands to sweep shapes. .
static Standard_EXPORT void | TopologyCommands (Draw_Interpretor &DI)
| Defines the commands to perform topological operations. .
static Standard_EXPORT void | FilletCommands (Draw_Interpretor &DI)
| Defines the commands to perform add fillets on shells. .
static Standard_EXPORT void | ChamferCommands (Draw_Interpretor &DI)
| Defines the commands to perform add chamfers on shells. .
static Standard_EXPORT void | GPropCommands (Draw_Interpretor &DI)
| Defines commands to compute global properties. .
static Standard_EXPORT void | MatCommands (Draw_Interpretor &DI)
| Defines commands to compute and to explore the map of the Bisecting locus. .
static Standard_EXPORT void | DraftAngleCommands (Draw_Interpretor &DI)
| Defines the commands to modify draft angles of the faces of a shape. .
static Standard_EXPORT void | FeatureCommands (Draw_Interpretor &DI)
| Defines the commands to create features on a shape. .
static Standard_EXPORT void | OtherCommands (Draw_Interpretor &DI)
| Defines the auxiliary topology commands. .
static Standard_EXPORT void | ExtremaCommands (Draw_Interpretor &DI)
| Defines the extrema commands. .
static Standard_EXPORT void | CheckCommands (Draw_Interpretor &DI)
| Defines the checkshape command. .
static Standard_EXPORT void | PlacementCommands (Draw_Interpretor &DI)
| Defines the placement command. .
static Standard_EXPORT void | ProjectionCommands (Draw_Interpretor &DI)
| Defines the commands to project a wire on a shape. .
static Standard_EXPORT void | ShellCommands (Draw_Interpretor &DI)
| Defines the commands to prepare shell commands. .

## Member Function Documentation

static Standard_EXPORT void BRepTest::AllCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::BasicCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::ChamferCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::CheckCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::CurveCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::DraftAngleCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::ExtremaCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::FeatureCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::Fillet2DCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::FilletCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::FillingCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::GPropCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::MatCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

void BRepTest::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BRepTest::operator new | ( | size_t | size | ) | `[inline]`

void* BRepTest::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void BRepTest::OtherCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::PlacementCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::PrimitiveCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::ProjectionCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::ShellCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::SurfaceCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::SweepCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

static Standard_EXPORT void BRepTest::TopologyCommands | ( | Draw_Interpretor & | DI | ) | `[static]`

The documentation for this class was generated from the following file:

- BRepTest.hxx